aboutsummaryrefslogtreecommitdiff
path: root/git-submodule.sh
diff options
context:
space:
mode:
authorJohan Herland <johan@herland.net>2008-09-22 18:08:31 +0200
committerShawn O. Pearce <spearce@spearce.org>2008-09-25 08:11:03 -0700
commitbaede9f803ff7becab815481b004bc983d0422c7 (patch)
tree5def2f73a7cc865dae9ea2e7e28c13c1d48a1a5a /git-submodule.sh
parent064bfbde45e5ad70a5f8a2290ff3fbed0b69f326 (diff)
downloadgit-baede9f803ff7becab815481b004bc983d0422c7.tar.gz
git-baede9f803ff7becab815481b004bc983d0422c7.tar.xz
Fix submodule sync with relative submodule URLs
Signed-off-by: Johan Herland <johan@herland.net> Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index 1c39b593a..92be0feb5 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -634,6 +634,14 @@ cmd_sync()
do
name=$(module_name "$path")
url=$(git config -f .gitmodules --get submodule."$name".url)
+
+ # Possibly a url relative to parent
+ case "$url" in
+ ./*|../*)
+ url=$(resolve_relative_url "$url") || exit
+ ;;
+ esac
+
if test -e "$path"/.git
then
(